/*
Theme Name: Divi Child
Theme URI: http://www.elegantthemes.com/gallery/divi/
Author: Mirko Schubert
Author URI: https://mirkoschubert.de
Description: A Divi Child Theme with lots of GDPR and page speed optimizations and some tweaks and bug fixed for the parent theme.
Tags: child-theme
Version: 2.2.0
Requires at least: 5.0
Tested up to: 6.0.1
Requires PHP: 7.4
License: GNU General Public License version 3.0
License URI: http: //www.gnu.org/licenses/gpl-3.0.html
Template: Divi
Text Domain: divi-child
Domain Path: /languages
*/

/* For adding CSS rules to this file please use the .child class! */

/** VARIABLES **/

:root {
  --header-height: 80px;Ï
  --base-dark-0: #1E2329;
  --base-dark-1: #2A2F35;
  --base-dark-2: #3B4046;
  --site-accent-0: #F5A302;
  --site-accent-1: #F4B301;
  --site-accent-2: #FED154; 
}
body {
  overflow-x: hidden;
}
/** -------- Add your own code after this! -------- **/
.toggle-mobile-menu {
  border: 2px solid #F5A302;
  border-radius: 8px;
  background: none;
}
#desktop_nav {
  .et_pb_menu__wrap {
    justify-content: end;
  }
  #menu-main {
      align-items: center !important;
  }
}
header {
    .quote_cta {
        display: flex;
        width: 221px;
        height: 66px;
        justify-content: center;
        align-items: center;
        background: #1E2329;
        border: 2px solid #F5A302;
        border-radius: 8px;
    }
}
#mobile_nav_wrapper {
  transition: all 0.3s ease-in-out;
}
.hero {
  .et_pb_module_header {
        position: relative;
    padding-bottom: 20px;
    margin-bottom: 20px;
    &::after {
      content: "";
    position: absolute;
    bottom: 0px;
    left: 0;
    right: 0;
    width: 65%;
    height: 4px;
    background: var(--site-accent-0);
    margin: auto;
    display: block;
    }
  }
  .header-content, .et_pb_fullwidth_header_container {
  	width: 100% !important;
  }
}
.services.et_pb_blurb {
    .et_pb_main_blurb_image {
        display: block !important;
        margin-bottom: 0px !important;
    }
    .et_pb_blurb_container {
        padding: 25px;
        .et_pb_module_header {
            position: relative;
            padding-bottom: 15px;
            margin-bottom: 15px;
            &::after {
                content: "";
                position: absolute;
                bottom: 0px;
                left: 0;
                right: 0;
                width: 25%;
                height: 4px;
                background: var(--site-accent-0);
                margin: auto;
                display: block;
            }
        }
    }
}
.horizontal_blurb {
    .et_pb_blurb_content {
        display: flex;
        flex-direction: row;
        max-width: 100% !important;
        @media (max-width: 1220px){
            flex-direction: column;
        }
    }
    .et_pb_main_blurb_image {
        flex: 0 0 285px;
        margin-bottom: 0px !important;
        @media (max-width: 1220px){
            width: 100%;
        }
        .et_pb_image_wrap {
            height: 100%; 
            img {
                width: 100%;
                height: 100%;
                object-fit: cover;
            }
        }
    }
    .et_pb_blurb_container {
        padding: 10px 20px;
        display: flex;
        flex-direction: column;
        justify-content: center;
        .et_pb_module_header {
            position: relative;
            padding-bottom: 15px;
            margin-bottom: 15px;
            &::after {
                content: "";
                position: absolute;
                bottom: 0px;
                left: 0;
                right: 0;
                width: 25%;
                height: 4px;
                background: var(--site-accent-0);
                display: block;
            }
        }
    }
}
#reviews-flex {
    display: flex;
    flex-direction: row;
    overflow-x: auto;
    padding-right: 10px;
    .et_pb_column {
        flex: 0 0 calc((100% / 2) - 20px);
        margin: 0px 10px;
        @media (max-width: 1220px){
            flex: 0 0 calc(100% - 20px);
        }
    }
}
.et_pb_gallery .et_pb_gallery_pagination {
    border-top: 2px solid #F5A302 !important; 
}
#icobuilders-portfolio {
    .et_pb_gallery_items {
        display: flex;
        flex-direction: row;
        padding: 15px 0px;
        overflow-x: auto;
    }
    .et_pb_gallery_item {
        flex: 0 0 calc((100% / 4) - 20px);
        margin: 0px 10px !important;
        @media (max-width: 1220px){
            flex: 0 0 calc((100% / 2) - 20px);
    }
    .et_pb_gallery_image {
        a {
            position: relative;
            display: block !important;
            img {
                width: 100%;
                object-fit: cover;
                display: block;
            }
        }
    }
    }
}
::-webkit-scrollbar {
  width: 6px;
  background-color: var(--base-dark-0);
  border-radius: 6px;
}
::-webkit-scrollbar-thumb {
  background-color: var(--site-accent-0);
  -webkit-box-shadow: inset 0 0 6px var(--base-dark-0);
  border-radius: 6px;
}
::-webkit-scrollbar-track {
  background-color: var(--base-dark-0);
  -webkit-box-shadow: inset 0 0 6px var(--base-dark-0);
  border-radius: 6px;
}
